%define anolis_release 1
%define api_version		1.0

Summary:	OpenGL Extension to GTK
Name:		gtkglext
Version:	1.2.0
Release:	%{anolis_release}%{?dist}

License:	GPL-2.0-or-later OR LGPL-2.0-or-later
URL:		http://gtkglext.sourceforge.net/
Source0: https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2

# Upstream changes, addressing BZ 677457
Patch0:		0001-gtkglext-1.2.0-bz677457.patch
Patch1:		0002-GCC-8-fixes.patch
# Disable pangox features
Patch2:		gtkglext-1.2.0-no-pangox.patch


BuildRequires:  gcc
BuildRequires:	gtk2-devel
BuildRequires:	libGLU-devel
BuildRequires:	libGL-devel

BuildRequires:	libXmu-devel

BuildRequires:	libXt-devel
BuildRequires: make


Requires(postun):	/sbin/ldconfig
Requires(post):		/sbin/ldconfig

%description
GtkGLExt is an OpenGL extension to GTK. It provides the GDK objects
which support OpenGL rendering in GTK, and GtkWidget API add-ons to
make GTK+ widgets OpenGL-capable.

%package libs
Summary:	OpenGL Extension to GTK
License:	LGPL-2.0-or-later

%description libs
GtkGLExt is an OpenGL extension to GTK. It provides the GDK objects
which support OpenGL rendering in GTK, and GtkWidget API add-ons to
make GTK+ widgets OpenGL-capable.

%package devel
Summary:	Development tools for GTK-based OpenGL applications
License:	LGPL-2.0-or-later

Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk2-devel
Requires:	libGL-devel
Requires:	libGLU-devel
Requires:	libXmu-devel

%description devel
The gtkglext-devel package contains the header files, static libraries,
and developer docs for GtkGLExt.

%package doc
Summary:	Documentation for GTK-based OpenGL applications
Group: Documentation
Requires:	%{name}-libs = %{version}-%{release}

%description doc
The gtkglext-doc package contains the documentation for GtkGLExt.

%prep
%autosetup -n gtkglext-%{version} -p1

%build
%configure --disable-gtk-doc --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%{make_build}

%install
%{make_install}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%generate_compatibility_deps

%files libs
%license COPYING COPYING.LIB
%{_libdir}/libgdkglext-x11-%{api_version}.so.*
%{_libdir}/libgtkglext-x11-%{api_version}.so.*
%{abidir}/libgdkglext-x11-*.dump
%{abidir}/libgtkglext-x11-*.dump

%files devel
%{_includedir}/*
%{_libdir}/gtkglext-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%files doc
%doc AUTHORS ChangeLog README TODO NEWS
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Tue Mar 28 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.2.0-1
- Init package from upstream